# $Revision: 1.21 $, $Date: 2011/09/26 06:37:24 $
#
# TODO:
# - separate old firmware's to some compat subpackage?
#
Summary:	Firmware for the Intel(R) PRO/Wireless 2200 Driver
Summary(pl.UTF-8):	Firmware dla sterownika do kart Intel(R) PRO/Wireless 2200
Name:		ipw2200-firmware
Version:	3.1
Release:	1
License:	distributable
Group:		System Environment/Kernel
Source0:	http://bughost.org/firmware/ipw2200-fw-%{version}.tgz 
# Source0-md5:	eaba788643c7cc7483dd67ace70f6e99
Source1:	ipw2x00_firmware_licence_Q_A.txt
Source22:	http://bughost.org/firmware/ipw2200-fw-2.2.tgz
# Source22-md5:	6892abab05d5391c08933e19b49b86b5
Source23:	http://bughost.org/firmware/ipw2200-fw-2.3.tgz
# Source23-md5:	487ba63b1bf98bc1e38059b6d3abea44
Source24:	http://bughost.org/firmware/ipw2200-fw-2.4.tgz
# Source24-md5:	a5bc066d23900852a04711c5d33987d4
Source31:	http://bughost.org/firmware/ipw2200-fw-3.1.tgz
# Source31-md5:	eaba788643c7cc7483dd67ace70f6e99
URL:		http://ipw2200.sourceforge.net/firmware.php
BuildArch:	noarch
Provides:	ipw2200-firmware = 2.2
Provides:	ipw2200-firmware = 2.3
Provides:	ipw2200-firmware = 2.4
Provides:	ipw2200-firmware = 3.1
Obsoletes:	ipw2200-firmware2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the firmware for the ipw-2200 driver. Usage of
the firmware is subject to the terms contained in
/lib/firmware/ipw2200-LICENSE. Please read the license carefully.

%description -l pl.UTF-8
Ten pakiet zawiera firmware dla sterownika ipw-2200. Można go używać
na warunkach zawartych w pliku /lib/firmware/ipw2200-LICENSE. Proszę
uważnie przeczytać licencję.

%prep
%setup -q -c -a22 -a23 -a24 -a31
cp %{SOURCE1} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware

install -p ipw2200-fw-%{version}/*.fw $RPM_BUILD_ROOT/lib/firmware
install -p ipw2200-fw-%{version}/LICENSE.ipw2200-fw $RPM_BUILD_ROOT/lib/firmware/ipw2200-LICENSE

# Firmwares 2.2, 2.3 and 2.4:
install -p *-2.2-*.fw $RPM_BUILD_ROOT/lib/firmware
install -p *-2.3-*.fw $RPM_BUILD_ROOT/lib/firmware
install -p *-2.4-*.fw $RPM_BUILD_ROOT/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ipw2x00_firmware_licence_Q_A.txt
/lib/firmware/ipw2200-LICENSE
/lib/firmware/*.fw

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipw2200-firmware.spec,v $
Revision 1.21  2011/09/26 06:37:24  arekm
- rel 1

Revision 1.20  2010/10/11 15:21:49  shadzik
- fix md5

Revision 1.19  2010/05/30 09:14:50  august84
- md5sum fix

Revision 1.18  2010/05/30 09:10:51  august84
- up to 3.1
- doesn't provide 3.0 due to same firmware's name

Revision 1.17  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.15  2006/08/01 22:23:23  blues
- fixed md5, source number. It's not needed now, source0 is the same, but
  this will be needed if future versions will appear.

Revision 1.14  2006/08/01 22:15:38  aredridel
- added firmware format 3.0 for 2.6.17+ kernels

Revision 1.13  2006/05/09 14:23:34  blues
- use source numbers reflecting version numbers

Revision 1.12  2006/05/09 13:21:19  blues
- release 2 - make this package multi-firmware. Allow the safe upgrade of
  firmware package and use of different kernels with different modules.
  Maybe STBR to AC?

Revision 1.11  2006/04/10 11:58:20  mguevara
- todo added - some legal stuff

Revision 1.10  2006/03/19 12:46:33  rotom
- up to 3.0
- new Source

Revision 1.9  2005/10/27 21:25:29  zawadaa
- up to 2.4

Revision 1.8  2005/06/02 17:18:48  qboosh
- license path fix in descs

Revision 1.7  2005/06/02 16:42:06  zawadaa
- /lib/firmware fix - ours FHS consequence

Revision 1.6  2005/05/17 22:02:58  zawadaa
- up to 2.3

Revision 1.5  2004/12/21 00:53:00  zawadaa
- new fw 2.2
- fw in /lib for compliance with hotplug
- clean up

Revision 1.4  2004/10/08 10:33:36  ankry
- missing changelog entry

Revision 1.3  2004/10/08 10:30:24  qboosh
- no need to use docdir during build

Revision 1.2  2004/10/08 10:27:54  qboosh
- Log, no //

Revision 1.1  2004/10/06 07:44:28  arekm
- update from zawadaa
